Package org.h2.expression.function.table

# Class LinkSchemaFunction

java.lang.Object
org.h2.expression.function.table.TableFunction
org.h2.expression.function.table.LinkSchemaFunction

All Implemented Interfaces:
  `ExpressionWithVariableParameters`, `NamedExpression`, `HasSQL`

public final class LinkSchemaFunction extends TableFunction
A LINK_SCHEMA function.

## Field Summary

### Fields inherited from class org.h2.expression.function.table.TableFunction

`args`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Constructor Summary

Constructors
Constructor
Description
`LinkSchemaFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name.
`ResultInterface`
`getValue(SessionLocal session)`
Get a result with.
`ResultInterface`
`getValueTemplate(SessionLocal session)`
Get an empty result with the column names set.
`boolean`
`isDeterministic()`
Whether the function always returns the same result for the same parameters.
`void`
`optimize(SessionLocal session)`
Try to optimize this table function

### Methods inherited from class org.h2.expression.function.table.TableFunction

`addParameter, doneWithParameters, getSQL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

## Constructor Details

### LinkSchemaFunction

public LinkSchemaFunction()

## Method Details

### getValue

public ResultInterface getValue(SessionLocal session)
Description copied from class: `TableFunction`
Get a result with.

Specified by:
  `getValue` in class `TableFunction`
Parameters:
  `session` - the session
Returns:
  the result

### optimize

public void optimize(SessionLocal session)
Description copied from class: `TableFunction`
Try to optimize this table function

Overrides:
  `optimize` in class `TableFunction`
Parameters:
  `session` - the session

### getValueTemplate

public ResultInterface getValueTemplate(SessionLocal session)
Description copied from class: `TableFunction`
Get an empty result with the column names set.

Specified by:
  `getValueTemplate` in class `TableFunction`
Parameters:
  `session` - the session
Returns:
  the empty result

### getName

public String getName()
Description copied from interface: `NamedExpression`
Get the name.

Returns:
  the name in uppercase

### isDeterministic

public boolean isDeterministic()
Description copied from class: `TableFunction`
Whether the function always returns the same result for the same parameters.

Specified by:
  `isDeterministic` in class `TableFunction`
Returns:
  true if it does